%define ver	3_5_0
Name:          libnl3
Version:       3.5.0
Release:       4
Summary:       Providing APIs to netlink protocol based Linux kernel interfaces
License:       LGPLv2
URL:           http://www.infradead.org/~tgr/libnl/
Source:        https://github.com/thom311/libnl/releases/download/libnl%{uver}/libnl-%{version}.tar.gz

Patch6000:     backport-lib-add-include-netlink-private-nl-auto-h-header.patch
Patch6001:     backport-lib-use-proper-int-type-for-id-attributes-in-nl_object_identical.patch
Patch6002:     backport-route-link-add-RTNL_LINK_REASM_OVERLAPS-stat.patch
Patch6003:     backport-route-link-Check-for-null-pointer-in-macvlan.patch
Patch6004:     backport-rtnl-link-fix-leaking-rtnl_link_af_ops-in-link_msg_parser.patch
Patch6005:     backport-rtnl-route-fix-NLE_NOMEM-handling-in-parse_multipath.patch
Patch9000:     solve-redefinition-of-struct-ipv6_mreq.patch

BuildRequires: flex bison libtool autoconf automake swig
Requires:      %{name} = %{version}-%{release} %{name}-help

Provides:      %{name}-cli
Obsoletes:     %{name}-cli

%description
This package contains a collection of libraries providing
APIs to netlink based Linux kernel sockets interfaces.

%package devel
Summary: Libraries and headers for libnl3
Requires: %{name} = %{version}-%{release} kernel-headers

%description devel
This package provides various libraries and headers for using libnl3

%package help
Summary: Document for libnl3
Requires:      %{name} = %{version}-%{release}

Provides:      %{name}-doc = %{version}-%{release}
Obsoletes:     %{name}-doc < %{version}-%{release}

%description help
This package contains libnl3 related documentations

%package -n python3-libnl3
Summary: Python3 binding for libnl3
BuildRequires: python3-devel
Requires: %{name} = %{version}-%{release}

%description -n python3-libnl3
Python3 bindings for libnl3

%package -n python2-libnl3
Summary: Python2 bindings for libnl3
BuildRequires: python2-devel
Requires: %{name} = %{version}-%{release}

%description -n python2-libnl3
Python2 bindings for libnl3
%prep
%autosetup -n libnl-%{version} -p1

%build
autoreconf -vif
%configure --disable-static
%make_build

cd python
CFLAGS="$RPM_OPT_FLAGS" %py2_build
CFLAGS="$RPM_OPT_FLAGS" %py2_build
CFLAGS="$RPM_OPT_FLAGS" %py3_build
CFLAGS="$RPM_OPT_FLAGS" %py3_build

%install
%make_install

find $RPM_BUILD_ROOT -name *.la |xargs rm -f

cd python
%py2_install
%py3_install

%check
make check

cd python
%{__python2} setup.py check
%{__python3} setup.py check

%ldconfig_scriptlets

%files
%doc COPYING
%{_libdir}/libnl-*.so.*
%config(noreplace) %{_sysconfdir}/*
%{_libdir}/libnl/
%{_bindir}/*

%files devel
%{_includedir}/libnl3/netlink/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%files help
%{_mandir}/man8/*

%files -n python3-libnl3
%{python3_sitearch}/netlink
%{python3_sitearch}/netlink-*.egg-info

%files -n python2-libnl3
%{python2_sitearch}/netlink
%{python2_sitearch}/netlink-*.egg-info

%changelog
* Wed Mar 10 2021 zengwefeng <zwfeng@huawei.com> - 3.5.0-4
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:add missing check for NULL return from allocate_rfd
       add include netlink private nl-auto-h header
       use proper int type for id attributes
       add RTNL_LINK_REASM_OVERLAPS stat
       check for null pointer in macvlan
       fix leaking in link msg parser
       fix NLE_NOMEM handling in parse multipath

* Thu Oct 29 2020 gaihuiying <gaihuiying1@huawei.com> - 3.5.0-3
- Type:requirement
- CVE:NA
- SUG:NA
- DESC:add libnl3-help dependency for libnl3

* Tue Aug 18 2020 chenyaqiang <chenyaqiang@huawei.com> - 3.5.0-2
- rebuild for package build

* Sun Jan 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 3.5.0-1
- update software to 3.5.0

* Wed Dec 25 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.4.0-8
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:provides libnl3-doc

* Sat Sep 7 2019 liyongqiang<liyongqiang10@huawei.com> - 3.4.0-7
- Package init
